RecipientType (email-templates-library 1.1.0-4.9.0-160148 API)
Date: 2017-12-20

org.gcube.portal.mailing.message

## Enum RecipientType

- java.lang.Object
- - java.lang.Enum<RecipientType>
  - - org.gcube.portal.mailing.message.RecipientType

- All Implemented Interfaces:
    Serializable, Comparable<RecipientType>

      public enum RecipientType
      extends Enum<RecipientType>

  Author:
    Massimiliano Assante, CNR-ISTI

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BCC`
    `CC`
    `TO`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecipientType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RecipientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TO

          public static final RecipientType TO

    - #### CC

          public static final RecipientType CC

    - #### BCC

          public static final RecipientType BCC

  - ### Method Detail

    - #### values

          public static RecipientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecipientType c : RecipientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecipientType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.